=== src/CMakeLists.txt ===
find_package(Qt6 REQUIRED COMPONENTS Core)

add_executable(shotcut WIN32 MACOSX_BUNDLE
  abstractproducerwidget.cpp abstractproducerwidget.h
  actions.cpp actions.h
  autosavefile.cpp autosavefile.h
  commands/filtercommands.cpp commands/filtercommands.h
  commands/markercommands.cpp commands/markercommands.h
  commands/playlistcommands.cpp commands/playlistcommands.h
  commands/subtitlecommands.cpp commands/subtitlecommands.h
  commands/timelinecommands.cpp commands/timelinecommands.h
  commands/undohelper.cpp commands/undohelper.h
  controllers/filtercontroller.cpp controllers/filtercontroller.h
  controllers/scopecontroller.cpp controllers/scopecontroller.h
  database.cpp database.h
  dialogs/actionsdialog.cpp dialogs/actionsdialog.h
  dialogs/addencodepresetdialog.cpp dialogs/addencodepresetdialog.h
  dialogs/addencodepresetdialog.ui
  dialogs/alignaudiodialog.cpp dialogs/alignaudiodialog.h
  dialogs/alignmentarray.cpp dialogs/alignmentarray.h
  dialogs/bitratedialog.h dialogs/bitratedialog.cpp
  dialogs/customprofiledialog.cpp dialogs/customprofiledialog.h
  dialogs/customprofiledialog.ui
  dialogs/durationdialog.cpp dialogs/durationdialog.h
  dialogs/durationdialog.ui
  dialogs/editmarkerdialog.cpp dialogs/editmarkerdialog.h
  dialogs/filedatedialog.cpp dialogs/filedatedialog.h
  dialogs/filedownloaddialog.cpp dialogs/filedownloaddialog.h
  dialogs/listselectiondialog.cpp dialogs/listselectiondialog.h
  dialogs/listselectiondialog.ui
  dialogs/longuitask.cpp dialogs/longuitask.h
  dialogs/multifileexportdialog.cpp dialogs/multifileexportdialog.h
  dialogs/resourcedialog.cpp dialogs/resourcedialog.h
  dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
  dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
  dialogs/speechdialog.h dialogs/speechdialog.cpp
  dialogs/subtitletrackdialog.cpp dialogs/subtitletrackdialog.h
  dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
  dialogs/systemsyncdialog.ui
  dialogs/textviewerdialog.cpp dialogs/textviewerdialog.h
  dialogs/textviewerdialog.ui
  dialogs/transcodedialog.cpp dialogs/transcodedialog.h
  dialogs/transcodedialog.ui
  dialogs/transcribeaudiodialog.cpp dialogs/transcribeaudiodialog.h
  dialogs/unlinkedfilesdialog.cpp dialogs/unlinkedfilesdialog.h
  dialogs/unlinkedfilesdialog.ui
  docks/encodedock.cpp docks/encodedock.h
  docks/encodedock.ui
  docks/filesdock.cpp docks/filesdock.h
  docks/filesdock.ui
  docks/filtersdock.cpp docks/filtersdock.h
  docks/jobsdock.cpp docks/jobsdock.h
  docks/jobsdock.ui
  docks/keyframesdock.cpp docks/keyframesdock.h
  docks/markersdock.cpp docks/markersdock.h
  docks/notesdock.cpp docks/notesdock.h
  docks/playlistdock.cpp docks/playlistdock.h
  docks/playlistdock.ui
  docks/recentdock.cpp docks/recentdock.h
  docks/recentdock.ui
  docks/scopedock.cpp docks/scopedock.h
  docks/subtitlesdock.cpp docks/subtitlesdock.h
  docks/timelinedock.cpp docks/timelinedock.h
  FlatpakWrapperGenerator.cpp FlatpakWrapperGenerator.h
  htmlgenerator.h htmlgenerator.cpp
  jobqueue.cpp jobqueue.h
  jobs/abstractjob.cpp jobs/abstractjob.h
  jobs/bitrateviewerjob.h jobs/bitrateviewerjob.cpp
  jobs/dockerpulljob.h jobs/dockerpulljob.cpp
  jobs/encodejob.cpp jobs/encodejob.h
  jobs/ffmpegjob.cpp jobs/ffmpegjob.h
  jobs/ffprobejob.cpp jobs/ffprobejob.h
  jobs/gopro2gpxjob.cpp jobs/gopro2gpxjob.h
  jobs/htmlgeneratorjob.cpp jobs/htmlgeneratorjob.h
  jobs/kokorodokijob.cpp jobs/kokorodokijob.h
  jobs/meltjob.cpp jobs/meltjob.h
  jobs/postjobaction.cpp jobs/postjobaction.h
  jobs/qimagejob.cpp jobs/qimagejob.h
  jobs/screencapturejob.cpp jobs/screencapturejob.h
  jobs/videoqualityjob.cpp jobs/videoqualityjob.h
  jobs/whisperjob.cpp jobs/whisperjob.h
  main.cpp
  mainwindow.cpp mainwindow.h
  mainwindow.ui
  mltcontroller.cpp mltcontroller.h
  mltxmlchecker.cpp mltxmlchecker.h
  models/actionsmodel.cpp models/actionsmodel.h
  models/alignclipsmodel.cpp models/alignclipsmodel.h
  models/attachedfiltersmodel.cpp models/attachedfiltersmodel.h
  models/audiolevelstask.cpp models/audiolevelstask.h
  models/extensionmodel.cpp models/extensionmodel.h
  models/keyframesmodel.cpp models/keyframesmodel.h
  models/markersmodel.cpp models/markersmodel.h
  models/metadatamodel.cpp models/metadatamodel.h
  models/motiontrackermodel.h models/motiontrackermodel.cpp
  models/multitrackmodel.cpp models/multitrackmodel.h
  models/playlistmodel.cpp models/playlistmodel.h
  models/resourcemodel.cpp models/resourcemodel.h
  models/subtitles.cpp models/subtitles.h
  models/subtitlesmodel.cpp models/subtitlesmodel.h
  models/subtitlesselectionmodel.cpp models/subtitlesselectionmodel.h
  openotherdialog.cpp openotherdialog.h
  openotherdialog.ui
  player.cpp player.h
  proxymanager.cpp proxymanager.h
  qmltypes/colordialog.h qmltypes/colordialog.cpp
  qmltypes/colorpickeritem.cpp qmltypes/colorpickeritem.h
  qmltypes/colorwheelitem.cpp qmltypes/colorwheelitem.h
  qmltypes/filedialog.h qmltypes/filedialog.cpp
  qmltypes/fontdialog.h qmltypes/fontdialog.cpp
  qmltypes/messagedialog.h qmltypes/messagedialog.cpp
  qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
  qmltypes/qmleditmenu.cpp qmltypes/qmleditmenu.h
  qmltypes/qmlextension.cpp qmltypes/qmlextension.h
  qmltypes/qmlfile.cpp qmltypes/qmlfile.h
  qmltypes/qmlfilter.cpp qmltypes/qmlfilter.h
  qmltypes/qmlmarkermenu.cpp qmltypes/qmlmarkermenu.h
  qmltypes/qmlmetadata.cpp qmltypes/qmlmetadata.h
  qmltypes/qmlproducer.cpp qmltypes/qmlproducer.h
  qmltypes/qmlprofile.cpp qmltypes/qmlprofile.h
  qmltypes/qmlrichtext.cpp qmltypes/qmlrichtext.h
  qmltypes/qmlrichtextmenu.cpp qmltypes/qmlrichtextmenu.h
  qmltypes/qmlutilities.cpp qmltypes/qmlutilities.h
  qmltypes/qmlview.cpp qmltypes/qmlview.h
  qmltypes/thumbnailprovider.cpp qmltypes/thumbnailprovider.h
  qmltypes/timelineitems.cpp qmltypes/timelineitems.h
  resources.qrc
  scrubbar.cpp scrubbar.h
  settings.cpp settings.h
  sharedframe.cpp sharedframe.h
  shotcut_mlt_properties.h
  transcoder.cpp transcoder.h
  spatialmedia/box.cpp spatialmedia/box.h
  spatialmedia/container.cpp spatialmedia/container.h
  spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
  spatialmedia/sa3d.cpp spatialmedia/sa3d.h
  spatialmedia/spatialmedia.cpp spatialmedia/spatialmedia.h
  transportcontrol.h
  util.cpp util.h
  videowidget.cpp videowidget.h
  widgets/alsawidget.cpp widgets/alsawidget.h
  widgets/alsawidget.ui
  widgets/audiometerwidget.cpp widgets/audiometerwidget.h
  widgets/audioscale.cpp widgets/audioscale.h
  widgets/avformatproducerwidget.cpp widgets/avformatproducerwidget.h
  widgets/avformatproducerwidget.ui
  widgets/avfoundationproducerwidget.cpp widgets/avfoundationproducerwidget.h
  widgets/avfoundationproducerwidget.ui
  widgets/blipproducerwidget.cpp widgets/blipproducerwidget.h
  widgets/blipproducerwidget.ui
  widgets/colorbarswidget.cpp widgets/colorbarswidget.h
  widgets/colorbarswidget.ui
  widgets/colorproducerwidget.cpp widgets/colorproducerwidget.h
  widgets/colorproducerwidget.ui
  widgets/colorwheel.cpp widgets/colorwheel.h
  widgets/countproducerwidget.cpp widgets/countproducerwidget.h
  widgets/countproducerwidget.ui
  widgets/decklinkproducerwidget.cpp widgets/decklinkproducerwidget.h
  widgets/decklinkproducerwidget.ui
  widgets/directshowvideowidget.cpp widgets/directshowvideowidget.h
  widgets/directshowvideowidget.ui
  widgets/docktoolbar.cpp widgets/docktoolbar.h
  widgets/editmarkerwidget.cpp widgets/editmarkerwidget.h
  widgets/exportpresetstreeview.cpp widgets/exportpresetstreeview.h
  widgets/frameratewidget.cpp widgets/frameratewidget.h
  widgets/glaxnimateproducerwidget.cpp widgets/glaxnimateproducerwidget.h
  widgets/glaxnimateproducerwidget.ui
  widgets/htmlgeneratorwidget.cpp widgets/htmlgeneratorwidget.h
  widgets/htmlgeneratorwidget.ui
  widgets/imageproducerwidget.cpp widgets/imageproducerwidget.h
  widgets/imageproducerwidget.ui
  widgets/isingwidget.cpp widgets/isingwidget.h
  widgets/isingwidget.ui
  widgets/lineeditclear.cpp widgets/lineeditclear.h
  widgets/lissajouswidget.cpp widgets/lissajouswidget.h
  widgets/lissajouswidget.ui
  widgets/lumamixtransition.cpp widgets/lumamixtransition.h
  widgets/lumamixtransition.ui
  widgets/mltclipproducerwidget.cpp widgets/mltclipproducerwidget.h
  widgets/networkproducerwidget.cpp widgets/networkproducerwidget.h
  widgets/networkproducerwidget.ui
  widgets/newprojectfolder.cpp widgets/newprojectfolder.h
  widgets/newprojectfolder.ui
  widgets/noisewidget.cpp widgets/noisewidget.h
  widgets/noisewidget.ui
  widgets/plasmawidget.cpp widgets/plasmawidget.h
  widgets/plasmawidget.ui
  widgets/playlisticonview.cpp widgets/playlisticonview.h
  widgets/playlistlistview.cpp widgets/playlistlistview.h
  widgets/playlisttable.cpp widgets/playlisttable.h
  widgets/producerpreviewwidget.cpp widgets/producerpreviewwidget.h
  widgets/pulseaudiowidget.cpp widgets/pulseaudiowidget.h
  widgets/pulseaudiowidget.ui
  widgets/resourcewidget.cpp widgets/resourcewidget.h
  widgets/scopes/audioloudnessscopewidget.cpp widgets/scopes/audioloudnessscopewidget.h
  widgets/scopes/audiopeakmeterscopewidget.cpp widgets/scopes/audiopeakmeterscopewidget.h
  widgets/scopes/audiospectrumscopewidget.cpp widgets/scopes/audiospectrumscopewidget.h
  widgets/scopes/audiosurroundscopewidget.cpp widgets/scopes/audiosurroundscopewidget.h
  widgets/scopes/audiovectorscopewidget.cpp widgets/scopes/audiovectorscopewidget.h
  widgets/scopes/audiowaveformscopewidget.cpp widgets/scopes/audiowaveformscopewidget.h
  widgets/scopes/scopewidget.cpp widgets/scopes/scopewidget.h
  widgets/scopes/videohistogramscopewidget.cpp widgets/scopes/videohistogramscopewidget.h
  widgets/scopes/videorgbparadescopewidget.cpp widgets/scopes/videorgbparadescopewidget.h
  widgets/scopes/videorgbwaveformscopewidget.cpp widgets/scopes/videorgbwaveformscopewidget.h
  widgets/scopes/videovectorscopewidget.cpp widgets/scopes/videovectorscopewidget.h
  widgets/scopes/videowaveformscopewidget.cpp widgets/scopes/videowaveformscopewidget.h
  widgets/scopes/videozoomscopewidget.cpp widgets/scopes/videozoomscopewidget.h
  widgets/scopes/videozoomwidget.cpp widgets/scopes/videozoomwidget.h
  widgets/screenselector.cpp widgets/screenselector.h
  widgets/servicepresetwidget.cpp widgets/servicepresetwidget.h
  widgets/servicepresetwidget.ui
  widgets/slideshowgeneratorwidget.cpp widgets/slideshowgeneratorwidget.h
  widgets/statuslabelwidget.cpp widgets/statuslabelwidget.h
  widgets/textproducerwidget.cpp widgets/textproducerwidget.h
  widgets/textproducerwidget.ui
  widgets/timelinepropertieswidget.cpp widgets/timelinepropertieswidget.h
  widgets/timelinepropertieswidget.ui
  widgets/timespinbox.cpp widgets/timespinbox.h
  widgets/toneproducerwidget.cpp widgets/toneproducerwidget.h
  widgets/toneproducerwidget.ui
  widgets/trackpropertieswidget.cpp widgets/trackpropertieswidget.h
  widgets/trackpropertieswidget.ui
  widgets/video4linuxwidget.cpp widgets/video4linuxwidget.h
  widgets/video4linuxwidget.ui
  ../icons/resources.qrc
)

add_custom_target(OTHER_FILES
  SOURCES
  ../.github/ISSUE_TEMPLATE.md
  ../.github/workflows/build-linux-unstable.yml
  ../.github/workflows/build-linux.yml
  ../.github/workflows/build-macos-unstable.yml
  ../.github/workflows/build-macos.yml
  ../.github/workflows/build-sdk-windows-unstable.yml
  ../.github/workflows/build-sdk-windows.yml
  ../.github/workflows/build-windows-unstable.yml
  ../.github/workflows/build-windows.yml
  ../COPYING
  ../icons/dark/index.theme
  ../icons/light/index.theme
  ../packaging/linux/appimage/appimage.yml
  ../packaging/linux/Makefile
  ../packaging/linux/org.shotcut.Shotcut.desktop
  ../packaging/linux/org.shotcut.Shotcut.metainfo.xml.in
  ../packaging/linux/org.shotcut.Shotcut.xml
  ../packaging/linux/shotcut.1
  ../packaging/linux/snapcraft.yaml.in
  ../packaging/macos/Info.plist.in
  ../packaging/macos/shotcut.icns
  ../packaging/windows/shotcut.iss
  ../packaging/windows/shotcut.rc.in
  ../README.md
