=== debian/changelog ===
shotcut-dmo (1:25.10.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Oct 2025 08:15:37 +0200
