## shotcut-dmo 25.10.29

=== debian/changelog ===
shotcut-dmo (1:25.10.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Oct 2025 01:44:13 +0100
