## shotcut-dmo 25.10.30

=== debian/changelog ===
shotcut-dmo (1:25.10.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Oct 2025 00:00:34 +0100
