=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DENABLE_GLAXNIMATE=ON

#	exit 1

override_dh_clean:
	dh_clean packaging/linux/org.shotcut.Shotcut.metainfo.xml

#
# To find QML package :
# grep -Fhr 'import Qt' src | cut -d ' ' -f 2-3 | sort | uniq
# Then search packages with apt-file
#
# qml-module-qtqml-models2
# qml-module-qtquick-controls --> qml-module-qtgraphicaleffects, qml-module-qtquick-layouts, qml-module-qtquick-window2
# qml-module-qtquick-controls2
# qml-module-qtquick-dialogs
# qml-module-qtquick-extras

override_dh_auto_test:
