## shotcut-dmo 25.10.31

=== debian/changelog ===
shotcut-dmo (1:25.10.31-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Nov 2025 08:35:47 +0100
