=== debian/watch ===
version=4

https://github.com/mltframework/shotcut/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
