## shotcut-dmo 25.12.2

=== debian/changelog ===
shotcut-dmo (1:25.12.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Dec 2025 09:09:34 +0100
