## shotcut-dmo 25.12.31

=== debian/changelog ===
shotcut-dmo (1:25.12.31-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 02:10:44 +0100

shotcut-dmo (1:25.12.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 31 Dec 2025 00:28:15 +0100
