=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: shotcut-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.shotcutapp.com/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: cmake,
  debhelper-compat (= 13),
  libfftw3-dev,
