## shotcut-dmo 26.1.16

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -130,6 +130,14 @@
   sharedframe.cpp sharedframe.h
   shotcut_mlt_properties.h
   transcoder.cpp transcoder.h
+  screencapture/rectangleselector.cpp
+  screencapture/rectangleselector.h
+  screencapture/screencapture.cpp
+  screencapture/screencapture.h
+  screencapture/toolbarwidget.cpp
+  screencapture/toolbarwidget.h
+  screencapture/windowpicker.cpp
+  screencapture/windowpicker.h
   spatialmedia/box.cpp spatialmedia/box.h
   spatialmedia/container.cpp spatialmedia/container.h
   spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
@@ -243,11 +251,3 @@
   ../packaging/linux/Makefile
   ../packaging/linux/org.shotcut.Shotcut.desktop
   ../packaging/linux/org.shotcut.Shotcut.metainfo.xml.in
-  ../packaging/linux/org.shotcut.Shotcut.xml
-  ../packaging/linux/shotcut.1
-  ../packaging/linux/snapcraft.yaml.in
-  ../packaging/macos/Info.plist.in
-  ../packaging/macos/shotcut.icns
-  ../packaging/windows/shotcut.iss
-  ../packaging/windows/shotcut.rc.in
-  ../README.md
