=== debian/changelog ===
shotcut-dmo (1:26.1.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jan 2026 09:00:51 +0100
