## shotcut-dmo 26.1.30

=== debian/changelog ===
shotcut-dmo (1:26.1.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Jan 2026 08:40:13 +0100
