## shotcut-dmo 26.2.16

=== debian/changelog ===
shotcut-dmo (1:26.2.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Feb 2026 23:42:34 +0100
