## shotcut-dmo 26.2.26

=== debian/changelog ===
shotcut-dmo (1:26.2.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Feb 2026 08:40:22 +0100
